Index: app/Http/Controllers/Dashboard/DepartmentsController.php
===================================================================
--- app/Http/Controllers/Dashboard/DepartmentsController.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ app/Http/Controllers/Dashboard/DepartmentsController.php	(revision 0ea3dac1d657cc0112b8e0024061b590ea4e7347)
@@ -11,4 +11,5 @@
 use App\Models\User;
 use App\Notifications\NewDepartmentCreated;
+use App\Notifications\NewFolderCreated;
 use Carbon\Carbon;
 use App\Http\Controllers\Controller;
Index: app/Http/Controllers/Dashboard/FoldersController.php
===================================================================
--- app/Http/Controllers/Dashboard/FoldersController.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ app/Http/Controllers/Dashboard/FoldersController.php	(revision 0ea3dac1d657cc0112b8e0024061b590ea4e7347)
@@ -151,5 +151,4 @@
 
         $users = User::all();
-        Notification::send($users, new NewFolderCreated("New folder created"));
 
         $folder->location = $location;
@@ -246,5 +245,5 @@
         }
 
-        if (auth()->user()->hasPermission("delete_all_folders")) {
+        if (auth()->user()->hasPermission("delete_data")) {
 
             foreach ($files as $file) {
Index: app/Http/Requests/Dashboard/FolderRequest.php
===================================================================
--- app/Http/Requests/Dashboard/FolderRequest.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ app/Http/Requests/Dashboard/FolderRequest.php	(revision 0ea3dac1d657cc0112b8e0024061b590ea4e7347)
@@ -19,5 +19,5 @@
         if ($this->isMethod("patch")) {
             $folder = Folder::find($this->route("id"));
-            return auth()->user()->hasPermission("edit_all_folders") || ($folder->user->id == auth()->user()->id);
+            return auth()->user()->hasPermission("manage_all_folders") || ($folder->user->id == auth()->user()->id);
         }
 
Index: app/Notifications/NewDepartmentCreated.php
===================================================================
--- app/Notifications/NewDepartmentCreated.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<?php
-
-namespace App\Notifications;
-
-use Illuminate\Bus\Queueable;
-use Illuminate\Notifications\Notification;
-use Illuminate\Notifications\Messages\MailMessage;
-
-class NewDepartmentCreated extends Notification
-{
-    use Queueable;
-
-    protected $text;
-
-    /**
-     * Create a new notification instance.
-     *
-     * @return void
-     */
-    public function __construct($text)
-    {
-        $this->text = $text;
-    }
-
-    /**
-     * Get the notification's delivery channels.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function via($notifiable)
-    {
-        return ['database'];
-    }
-
-    /**
-     * Get the mail representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return \Illuminate\Notifications\Messages\MailMessage
-     */
-    public function toMail($notifiable)
-    {
-        return (new MailMessage)
-            ->line('The introduction to the notification.')
-            ->action('Notification Action', url('/'))
-            ->line('Thank you for using our application!');
-    }
-
-    /**
-     * Get the array representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function toArray($notifiable)
-    {
-        return [
-            "url" => "/dashboard/departments",
-            "message" => $this->text
-        ];
-    }
-}
Index: app/Notifications/NewFileCreated.php
===================================================================
--- app/Notifications/NewFileCreated.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<?php
-
-namespace App\Notifications;
-
-use Illuminate\Bus\Queueable;
-use Illuminate\Notifications\Notification;
-use Illuminate\Notifications\Messages\MailMessage;
-
-class NewFileCreated extends Notification
-{
-    use Queueable;
-
-    protected $text;
-
-    /**
-     * Create a new notification instance.
-     *
-     * @return void
-     */
-    public function __construct($text)
-    {
-        $this->text = $text;
-    }
-
-    /**
-     * Get the notification's delivery channels.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function via($notifiable)
-    {
-        return ['database'];
-    }
-
-    /**
-     * Get the mail representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return \Illuminate\Notifications\Messages\MailMessage
-     */
-    public function toMail($notifiable)
-    {
-        return (new MailMessage)
-            ->line('The introduction to the notification.')
-            ->action('Notification Action', url('/'))
-            ->line('Thank you for using our application!');
-    }
-
-    /**
-     * Get the array representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function toArray($notifiable)
-    {
-        return [
-            "url" => "/dashboard/files",
-            "message" => $this->text
-        ];
-    }
-}
Index: app/Notifications/NewFolderCreated.php
===================================================================
--- app/Notifications/NewFolderCreated.php	(revision 1451c6ffa2e43a06d5042dcf8f124894350d0cae)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<?php
-
-namespace App\Notifications;
-
-use Illuminate\Bus\Queueable;
-use Illuminate\Notifications\Notification;
-use Illuminate\Notifications\Messages\MailMessage;
-
-class NewFolderCreated extends Notification
-{
-    use Queueable;
-
-    protected $text;
-
-    /**
-     * Create a new notification instance.
-     *
-     * @return void
-     */
-    public function __construct($text)
-    {
-        $this->text = $text;
-    }
-
-    /**
-     * Get the notification's delivery channels.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function via($notifiable)
-    {
-        return ['database'];
-    }
-
-    /**
-     * Get the mail representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return \Illuminate\Notifications\Messages\MailMessage
-     */
-    public function toMail($notifiable)
-    {
-        return (new MailMessage)
-            ->line('The introduction to the notification.')
-            ->action('Notification Action', url('/'))
-            ->line('Thank you for using our application!');
-    }
-
-    /**
-     * Get the array representation of the notification.
-     *
-     * @param  mixed  $notifiable
-     * @return array
-     */
-    public function toArray($notifiable)
-    {
-        return [
-            "url" => "/dashboard/folders",
-            "message" => $this->text
-        ];
-    }
-}
